org.mozilla.javascript.debug

## Interface DebuggableObject

All Known Implementing Classes:
  BaseFunction, BoundFunction, FunctionObject, IdFunctionObject, IdScriptableObject, ImporterTopLevel, ModuleScope, NativeArray, NativeCall, NativeContinuation, NativeFunction, NativeGenerator, NativeIterator, NativeJavaConstructor, NativeJavaMethod, NativeJavaPackage, NativeJavaTopPackage, NativeJSON, NativeObject, NativeRegExp, Require, ScriptableObject, TopLevel, XMLObject

    public interface DebuggableObject

This interface exposes debugging information from objects.

### Method Summary

Methods
`java.lang.Object[]` `getAllIds()` Returns an array of ids for the properties of the object.

### Method Detail

#### getAllIds

    java.lang.Object[] getAllIds()

Returns an array of ids for the properties of the object.

All properties, even those with attribute {DontEnum}, are listed. This allows the debugger to display all properties of the object.

Returns:
  an array of java.lang.Objects with an entry for every listed property. Properties accessed via an integer index will have a corresponding Integer entry in the returned array. Properties accessed by a String will have a String entry in the returned array.